## libtraceevent 1.6.3

=== Makefile ===
# SPDX-License-Identifier: GPL-2.0
# libtraceevent version
EP_VERSION = 1
EP_PATCHLEVEL = 6
EP_EXTRAVERSION = 3
EVENT_PARSE_VERSION = $(EP_VERSION).$(EP_PATCHLEVEL).$(EP_EXTRAVERSION)

MAKEFLAGS += --no-print-directory


# Makefiles suck: This macro sets a default value of $(2) for the
# variable named by $(1), unless the variable has been set by
# environment or command line. This is necessary for CC and AR
# because make sets default values, so the simpler ?= approach
# won't work as expected.
define allow-override
  $(if $(or $(findstring environment,$(origin $(1))),\
            $(findstring command line,$(origin $(1)))),,\
    $(eval $(1) = $(2)))
endef

# Allow setting CC and AR, or setting CROSS_COMPILE as a prefix.
$(call allow-override,CC,$(CROSS_COMPILE)gcc)
$(call allow-override,AR,$(CROSS_COMPILE)ar)
$(call allow-override,NM,$(CROSS_COMPILE)nm)
$(call allow-override,PKG_CONFIG,pkg-config)
$(call allow-override,LD_SO_CONF_PATH,/etc/ld.so.conf.d/)
$(call allow-override,LDCONFIG,ldconfig)

EXT = -std=gnu99
INSTALL = install

# Use DESTDIR for installing into a different root directory.
# This is useful for building a package. The program will be
# installed in this directory as if it was the root directory.
# Then the build tool can move it later.
DESTDIR ?=
DESTDIR_SQ = '$(subst ','\'',$(DESTDIR))'

LP64 := $(shell echo __LP64__ | ${CC} ${CFLAGS} -E -x c - | tail -n 1)
ifeq ($(LP64), 1)
  libdir_relative_temp = lib64
else
  libdir_relative_temp = lib
endif

libdir_relative ?= $(libdir_relative_temp)
prefix ?= /usr/local
libdir = $(prefix)/$(libdir_relative)
man_dir = $(prefix)/share/man
man_dir_SQ = '$(subst ','\'',$(man_dir))'
pkgconfig_dir ?= $(word 1,$(shell $(PKG_CONFIG) 		\
			--variable pc_path pkg-config | tr ":" " "))
includedir_relative = include/traceevent
includedir = $(prefix)/$(includedir_relative)
includedir_SQ = '$(subst ','\'',$(includedir))'

export man_dir man_dir_SQ INSTALL
export DESTDIR DESTDIR_SQ
export EP_VERSION EVENT_PARSE_VERSION

# copy a bit from Linux kbuild

ifeq ("$(origin V)", "command line")
  VERBOSE = $(V)
endif
ifndef VERBOSE
  VERBOSE = 0
endif

SILENT := $(if $(findstring s,$(filter-out --%,$(MAKEFLAGS))),1)

ifeq ("$(origin O)", "command line")

  saved-output := $(O)
  BUILD_OUTPUT := $(shell cd $(O) && /bin/pwd)
  $(if $(BUILD_OUTPUT),, \
    $(error output directory "$(saved-output)" does not exist))

else
  BUILD_OUTPUT = $(CURDIR)
endif

srctree		:= $(if $(BUILD_SRC),$(BUILD_SRC),$(CURDIR))
objtree		:= $(BUILD_OUTPUT)
src		:= $(srctree)
obj		:= $(objtree)
bdir		:= $(obj)/lib

export prefix src obj bdir

PKG_CONFIG_SOURCE_FILE = libtraceevent.pc
PKG_CONFIG_FILE := $(addprefix $(obj)/,$(PKG_CONFIG_SOURCE_FILE))

export Q SILENT VERBOSE EXT

# Include the utils
include scripts/utils.mk

include $(src)/scripts/features.mk

# Shell quotes
libdir_SQ = $(subst ','\'',$(libdir))
libdir_relative_SQ = $(subst ','\'',$(libdir_relative))

CONFIG_INCLUDES = 
CONFIG_LIBS	=
CONFIG_FLAGS	=

VERSION		= $(EP_VERSION)
PATCHLEVEL	= $(EP_PATCHLEVEL)
EXTRAVERSION	= $(EP_EXTRAVERSION)

OBJ		= $@
N		=

LIBTRACEEVENT_STATIC = $(bdir)/libtraceevent.a
LIBTRACEEVENT_SHARED = $(bdir)/libtraceevent.so.$(EVENT_PARSE_VERSION)

EP_HEADERS_DIR = $(src)/include/traceevent

INCLUDES = -I. -I $(srctree)/include -I $(EP_HEADERS_DIR) $(CONFIG_INCLUDES)

export LIBTRACEEVENT_STATIC LIBTRACEEVENT_SHARED EP_HEADERS_DIR

# Set compile option CFLAGS
ifdef EXTRA_CFLAGS
  CFLAGS := $(EXTRA_CFLAGS)
else
  CFLAGS := -g -Wall
endif

LIBS ?= -ldl
export LIBS

set_plugin_dir := 1

# Set plugin_dir to prefered global plugin location
# If we install under $HOME directory we go under
# $(HOME)/.local/lib/traceevent/plugins
#
# We dont set PLUGIN_DIR in case we install under $HOME
# directory, because by default the code looks under:
# $(HOME)/.local/lib/traceevent/plugins by default.
#
ifeq ($(plugin_dir),)
ifeq ($(prefix),$(HOME))
override plugin_dir = $(HOME)/.local/lib/traceevent/plugins
set_plugin_dir := 0
else
override plugin_dir = $(libdir)/traceevent/plugins
endif
export plugin_dir
endif

ifeq ($(set_plugin_dir),1)
PLUGIN_DIR = -DPLUGIN_DIR="$(plugin_dir)"
PLUGIN_DIR_SQ = '$(subst ','\'',$(PLUGIN_DIR))'
export PLUGIN_DIR PLUGIN_DIR_SQ
endif

# Append required CFLAGS
override CFLAGS += -fPIC
override CFLAGS += $(CONFIG_FLAGS) $(INCLUDES) $(PLUGIN_DIR_SQ)
override CFLAGS += $(udis86-flags) -D_GNU_SOURCE

ifeq ($(VERBOSE),1)
  Q =
else
  Q = @
endif

# Disable command line variables (CFLAGS) override from top
# level Makefile (perf), otherwise build Makefile will get
# the same command line setup.
MAKEOVERRIDES=

export srctree CC LD CFLAGS V
build := -f $(srctree)/build/Makefile.build dir=. obj

LIB_TARGET := libtraceevent.so libtraceevent.a

CMD_TARGETS = $(LIB_TARGET) $(PKG_CONFIG_FILE)

TARGETS = $(CMD_TARGETS)

all: all_cmd plugins

$(bdir):
	$(Q)mkdir -p $(bdir)

LIB_TARGET  = libtraceevent.a libtraceevent.so
LIB_INSTALL = libtraceevent.a libtraceevent.so*
LIB_INSTALL := $(addprefix $(bdir)/,$(LIB_INSTALL))

LIBTRACEEVENT_SHARED_SO = $(bdir)/libtraceevent.so
LIBTRACEEVENT_SHARED_VERSION = $(bdir)/libtraceevent.so.$(EP_VERSION)

export LIBTRACEEVENT_SHARED_SO LIBTRACEEVENT_SHARED_VERSION

all_cmd: $(CMD_TARGETS)

libtraceevent.a: $(bdir) $(LIBTRACEEVENT_STATIC)
libtraceevent.so: $(bdir) $(LIBTRACEEVENT_SHARED)

libs: libtraceevent.a libtraceevent.so

$(LIBTRACEEVENT_STATIC): force
	$(Q)$(call descend,$(src)/src,$@)

$(LIBTRACEEVENT_SHARED): force
	$(Q)$(call descend,$(src)/src,libtraceevent.so)

$(bdir)/libtraceevent.so: $(bdir)/libtraceevent.so.$(EP_VERSION)
	@ln -sf $(<F) $@

define make_version.h
  (echo '/* This file is automatically generated. Do not modify. */';		\
   echo \#define VERSION_CODE $(shell						\
   expr $(VERSION) \* 256 + $(PATCHLEVEL));					\
   echo '#define EXTRAVERSION ' $(EXTRAVERSION);				\
   echo '#define VERSION_STRING "'$(VERSION).$(PATCHLEVEL).$(EXTRAVERSION)'"';	\
   echo '#define FILE_VERSION '$(FILE_VERSION);					\
  ) > $1
endef

define update_version.h
  ($(call make_version.h, $@.tmp);		\
    if [ -r $@ ] && cmp -s $@ $@.tmp; then	\
      rm -f $@.tmp;				\
    else					\
      echo '  UPDATE                 $@';	\
      mv -f $@.tmp $@;				\
    fi);
endef

VERSION_FILE = $(obj)/ep_version.h

$(VERSION_FILE): force
	$(Q)$(N)$(call update_version.h)

define update_dir
  (echo $1 > $@.tmp;				\
   if [ -r $@ ] && cmp -s $@ $@.tmp; then	\
     rm -f $@.tmp;				\
   else						\
     echo '  UPDATE                 $@';	\
     mv -f $@.tmp $@;				\
   fi);
endef

UTEST_DIR = utest

test:	force $(LIBTRACEEVENT_STATIC)
	$(Q)$(call descend,$(UTEST_DIR),test)

VIM_TAGS = $(obj)/tags
EMACS_TAGS = $(obj)/TAGS

$(VIM_TAGS): force
	$(RM) $(VIM_TAGS)
	find $(src) -name '*.[ch]' | (cd $(obj) && xargs ctags --extra=+f --c-kinds=+px \
	--regex-c++='/_PE\(([^,)]*).*/TEP_ERRNO__\1/')

tags: $(VIM_TAGS)

$(EMACS_TAGS): force
	$(RM) $(EMACS_TAGS)
	find $(src) -name '*.[ch]' | (cd $(obj) && xargs etags \
	--regex='/_PE(\([^,)]*\).*/TEP_ERRNO__\1/')

TAGS: $(EMACS_TAGS)

define build_prefix
	(echo $1 > $@.tmp;	\
	if [ -r $@ ] && cmp -s $@ $@.tmp; then				\
		rm -f $@.tmp;						\
	else								\
		$(PRINT_GEN)						\
		mv -f $@.tmp $@;					\
	fi);
endef

BUILD_PREFIX := $(obj)/build_prefix

$(BUILD_PREFIX): force
	$(Q)$(call build_prefix,$(prefix))

define do_make_pkgconfig_file
	cp -f ${PKG_CONFIG_SOURCE_FILE}.template ${PKG_CONFIG_FILE};	\
	sed -i "s|INSTALL_PREFIX|${1}|g" ${PKG_CONFIG_FILE}; 		\
	sed -i "s|LIB_VERSION|${EVENT_PARSE_VERSION}|g" ${PKG_CONFIG_FILE}; \
	sed -i "s|LIB_DIR|${libdir_relative}|g" ${PKG_CONFIG_FILE}; \
	sed -i "s|HEADER_DIR|$(includedir_relative)|g" ${PKG_CONFIG_FILE};
endef

$(PKG_CONFIG_FILE) : ${PKG_CONFIG_SOURCE_FILE}.template $(BUILD_PREFIX) $(VERSION_FILE)
	$(Q)$(print_gen)$(call do_make_pkgconfig_file,$(prefix))

define do_install_pkgconfig_file
	if [ -n "${pkgconfig_dir}" ]; then 					\
		$(call do_install,$(PKG_CONFIG_FILE),$(pkgconfig_dir),644); 	\
	else 									\
		(echo Failed to locate pkg-config directory) 1>&2;		\
	fi
endef


ifeq ("$(DESTDIR)", "")
# If DESTDIR is not defined, then test if after installing the library
# and running ldconfig, if the library is visible by ld.so.
# If not, add the path to /etc/ld.so.conf.d/trace.conf and run ldconfig again.
define install_ld_config
	if $(LDCONFIG); then \
		if ! grep -q "^$(libdir)$$" $(LD_SO_CONF_PATH)/* ; then \
			$(CC) -o $(objtree)/test $(srctree)/test.c -I $(includedir_SQ) \
				-L $(libdir_SQ) -ltraceevent &> /dev/null; \
			if ! $(objtree)/test &> /dev/null; then \
				$(call print_install, trace.conf, $(LD_SO_CONF_PATH)) \
				echo $(libdir_SQ) >> $(LD_SO_CONF_PATH)/trace.conf; \
				$(LDCONFIG); \
			fi; \
			$(RM) $(objtree)/test; \
		fi; \
	fi
endef
else
# If installing to a location for another machine or package, do not bother
# with running ldconfig.
define install_ld_config
endef
endif # DESTDIR = ""

install: install_libs install_plugins

install_libs: libs install_headers install_pkgconfig
	$(Q)$(call do_install,$(LIBTRACEEVENT_SHARED),$(libdir_SQ)); \
		cp -fpR $(LIB_INSTALL) $(DESTDIR)$(libdir_SQ)
	$(Q)$(call install_ld_config)

install_pkgconfig: $(PKG_CONFIG_FILE)
	$(Q)$(call do_install_pkgconfig_file,$(prefix))

install_headers:
	$(Q)$(call do_install,$(EP_HEADERS_DIR)/event-parse.h,$(includedir_SQ),644);
	$(Q)$(call do_install,$(EP_HEADERS_DIR)/event-utils.h,$(includedir_SQ),644);
	$(Q)$(call do_install,$(EP_HEADERS_DIR)/trace-seq.h,$(includedir_SQ),644);
	$(Q)$(call do_install,$(EP_HEADERS_DIR)/kbuffer.h,$(includedir_SQ),644)

install: install_libs

clean: clean_plugins clean_src
	$(Q)$(call do_clean,\
	    $(VERSION_FILE) $(obj)/tags $(obj)/TAGS $(PKG_CONFIG_FILE) \
	    $(LIBTRACEEVENT_STATIC) $(LIBTRACEEVENT_SHARED) \
	    $(LIBTRACEEVENT_SHARED_SO) $(LIBTRACEEVENT_SHARED_VERSION) \
	    $(BUILD_PREFIX))

define build_uninstall_script
	$(Q)mkdir $(BUILD_OUTPUT)/tmp_build
	$(Q)$(MAKE) -C $(srctree) DESTDIR=$(BUILD_OUTPUT)/tmp_build/ O=$(BUILD_OUTPUT) $1 > /dev/null
	$(Q)find $(BUILD_OUTPUT)/tmp_build ! -type d -printf "%P\n" > $(BUILD_OUTPUT)/build_$2
	$(Q)$(RM) -rf $(BUILD_OUTPUT)/tmp_build
endef

build_uninstall: $(BUILD_PREFIX)
	$(call build_uninstall_script,install,uninstall)

$(BUILD_OUTPUT)/build_uninstall: build_uninstall

define uninstall_file
	if [ -f $(DESTDIR)/$1 -o -h $(DESTDIR)/$1 ]; then \
		$(call PRINT_UNINST,$(DESTDIR)$1)$(RM) $(DESTDIR)/$1; \
	fi;
endef

uninstall: $(BUILD_OUTPUT)/build_uninstall
	@$(foreach file,$(shell cat $(BUILD_OUTPUT)/build_uninstall),$(call uninstall_file,$(file)))

PHONY += doc
doc: check_doc
	$(Q)$(call descend,$(src)/Documentation,)

PHONY += doc-clean
doc-clean:
	$(MAKE) -C $(src)/Documentation clean

PHONY += doc-install
doc-install:
	$(Q)$(call descend,$(src)/Documentation,install)

check_doc: force
	$(Q)$(src)/check-manpages.sh $(src)/Documentation


PHONY += doc-uninstall
doc-uninstall:
	$(MAKE) -C $(src)/Documentation uninstall

PHONY += help
help:
	@echo 'Possible targets:'
	@echo''
	@echo '  all                 - default, compile the library and the'\
				      'plugins'
	@echo '  plugins             - compile the plugins'
	@echo '  install             - install the library, the plugins,'\
					'the header and pkgconfig files'
	@echo '  clean               - clean the library and the plugins object files'
	@echo '  doc                 - compile the documentation files - man'\
					'and html pages, in the Documentation directory'
	@echo '  doc-clean           - clean the documentation files'
	@echo '  doc-install         - install the man pages'
	@echo '  doc-uninstall       - uninstall the man pages'
	@echo''

PHONY += plugins
plugins:
	$(Q)$(call descend,plugins,)

PHONY += install_plugins
install_plugins: plugins
	$(Q)$(call descend,plugins,install)

samples: libtraceevent.a force
	$(Q)$(call descend,$(src)/samples,all)

PHONY += clean_plugins
clean_plugins:
	$(Q)$(call descend_clean,plugins)

PHONY += clean_src
clean_src:
	$(Q)$(call descend_clean,src)

force:

=== src/Makefile ===
# SPDX-License-Identifier: LGPL-2.1

include $(src)/scripts/utils.mk

OBJS =
OBJS += event-parse-api.o
OBJS += event-parse.o
OBJS += event-plugin.o
OBJS += kbuffer-parse.o
OBJS += parse-filter.o
OBJS += parse-utils.o
OBJS += tep_strerror.o
OBJS += trace-seq.o

OBJS := $(OBJS:%.o=$(bdir)/%.o)
DEPS := $(OBJS:$(bdir)/%.o=$(bdir)/.%.d)

$(bdir)/%.o: %.c
	$(Q)$(call do_fpic_compile)

$(LIBTRACEEVENT_STATIC): $(OBJS)
	$(Q)$(call do_build_static_lib)

$(LIBTRACEEVENT_SHARED): $(OBJS)
	$(Q)$(call do_compile_shared_library,$(notdir $(LIBTRACEEVENT_SHARED_VERSION)))

$(LIBTRACEEVENT_SHARED_VERSION): $(LIBTRACEEVENT_SHARED)
	@ln -sf $(<F) $@

$(LIBTRACEEVENT_SHARED_SO): $(LIBTRACEEVENT_SHARED_VERSION)
	@ln -sf $(<F) $@

libtraceevent.so: $(LIBTRACEEVENT_SHARED_SO)

libtraceevent: $(libtraceevent-y)
	$(Q)$(MAKE) $(build)=libtraceevent

$(DEPS): $(bdir)/.%.d: %.c
	$(Q)$(CC) -M -MT $(bdir)/$*.o $(CPPFLAGS) $(CFLAGS) $< > $@

$(OBJS): $(bdir)/%.o : $(bdir)/.%.d

$(OBJS): | $(bdir)
$(DEPS): | $(bdir)

clean:
	$(Q)$(call do_clean,$(OBJS) $(DEPS))

dep_includes := $(wildcard $(DEPS))

ifneq ($(dep_includes),)
  include $(dep_includes)
endif

.PHONY: $(LIBTRACEEVENT_SHARED_SO) $(LIBTRACEEVENT_STATIC)

=== debian/changelog ===
libtraceevent (1:1.6.3-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 09 Oct 2022 00:05:47 +0100

libtraceevent (1:1.6.3-1) unstable; urgency=medium

  * New upstream version 1.6.3
    - Update copyright.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 24 Sep 2022 21:57:02 +0100

## libtraceevent 1.7.1

=== debian/changelog ===
libtraceevent (1:1.7.1-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 26 Jul 2023 13:50:48 -0700

libtraceevent (1:1.7.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.
  * Apply multi-arch hints.

  [ Sudip Mukherjee ]
  * New upstream version 1.7.1
  * Update Standards-Version to 4.6.2

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 18 Jan 2023 21:54:01 +0000

libtraceevent (1:1.7.0-1) unstable; urgency=medium

  * New upstream version 1.7.0
    - Update symbols.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 25 Dec 2022 00:37:01 +0000

=== debian/control ===
Source: libtraceevent
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
Build-Depends: asciidoc,
               debhelper-compat (= 13),
               pkg-config,
               source-highlight,
               xmlto
Standards-Version: 4.6.2
Section: libs
Vcs-Browser: https://salsa.debian.org/sudip/libtraceevent
Vcs-Git: https://salsa.debian.org/sudip/libtraceevent.git

Package: libtraceevent-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: libtraceevent1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Linux kernel trace event library (development files)
 The libtraceevent library provides APIs to access kernel tracepoint events,
 located in the tracefs file system under the events directory.
 .
 This package is needed to compile programs against libtraceevent1.

Package: libtraceevent1
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Linux kernel trace event library (shared library)
 The libtraceevent library provides APIs to access kernel tracepoint events,
 located in the tracefs file system under the events directory.
 .
 This package contains the shared library.

Package: libtraceevent1-plugin
Architecture: linux-any
Depends: libtraceevent1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: Linux kernel trace event library (plugins)
 The libtraceevent library provides APIs to access kernel tracepoint events,
 located in the tracefs file system under the events directory.
 .
 This package provides the plugins needed by the programs using libtraceevent1.

Package: libtraceevent-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: foreign
Description: Linux kernel trace event library (documentation)
 The libtraceevent library provides APIs to access kernel tracepoint events,
 located in the tracefs file system under the events directory.
 .
 This package containes the documentation of libtraceevent.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

ifeq (,$(findstring terse,$(DEB_BUILD_OPTIONS)))
        VERBOSE=1
endif

export CROSS_COMPILE=$(DEB_HOST_GNU_TYPE)-
PREFIX=/usr
build_flags = prefix=$(PREFIX) libdir_relative=lib/$(DEB_HOST_MULTIARCH) pkgconfig_dir=$(PREFIX)/lib/$(DEB_HOST_MULTIARCH)/pkgconfig V=$(VERBOSE)

%:
	dh $@ --no-parallel

override_dh_auto_build:
	dh_auto_build -- all doc $(build_flags)

override_dh_auto_install:
	dh_auto_install -- doc-install $(build_flags)

override_dh_auto_test:

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym

## libtraceevent 1.7.3

=== debian/changelog ===
libtraceevent (1:1.7.3-1) unstable; urgency=medium

  [ Sudip Mukherjee ]
  * New upstream version 1.7.3
    - Update copyright.

  [ Lucas Kanashiro ]
  * Run upstream make test in dh_auto_test
    - d/control: add b-d on libcunit1-dev.
    - d/rules: remove override_dh_auto_test with nothing in it.
  * d/tests: add DEP-8 test to build samples

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 20 Jun 2023 21:36:27 +0100

=== debian/tests/control ===
Tests: build-examples.sh
Depends: @, @builddeps@
Restrictions: superficial

## libtraceevent 1.8.2

=== debian/changelog ===
libtraceevent (1:1.8.2-1ubuntu2.1) noble; urgency=medium

  * Set default file_bigendian in struct tep_handle
    - d/p/0004-fix-file-endianness.patch: make file_bigendian the same
      as host_bignendian in tep_alloc() (LP: #2062118), (LP: #2101149)

 -- Pragyansh Chaturvedi <pragyansh.chaturvedi@canonical.com>  Fri, 07 Mar 2025 18:47:32 +0530

libtraceevent (1:1.8.2-1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Wed, 03 Apr 2024 22:46:23 +1100

libtraceevent (1:1.8.2-1ubuntu1) noble; urgency=medium

  * Make sure the test suite run (LP: #2055258)
    - Build but also run the test suite when building the pkg.
    - Run unit test as autopkgtest
    - Fix test running on big endian arch

 -- Paul Mars <paul.mars@canonical.com>  Mon, 26 Feb 2024 16:16:56 +0100

libtraceevent (1:1.8.2-1) unstable; urgency=medium

  * New upstream version 1.8.2

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 14 Jan 2024 22:08:15 +0000

libtraceevent (1:1.8.1-1) unstable; urgency=medium

  * New upstream version 1.8.1
    - Update symbols.
  * Add lintian override.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 07 Jan 2024 22:36:44 +0000

=== debian/rules ===
--- 
+++ 
@@ -19,8 +19,5 @@
 override_dh_auto_install:
 	dh_auto_install -- doc-install $(build_flags)
 
-override_dh_auto_test:
-
-# No dbgsym packages:
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
+execute_after_dh_auto_test:
+	./utest/trace-utest

=== debian/tests/control ===
Tests: build-examples.sh
Depends: @, @builddeps@
Restrictions: superficial

# We want to build the tests using the shared library, not the static library.
# Hence, unset LIBTRACEEVENT_STATIC, and add -ltraceevent to LIBS.
Test-Command: LIBTRACEEVENT_STATIC= LIBS=-ltraceevent make test && ./utest/trace-utest
Features: test-name=trace-utest
Depends: @, @builddeps@

## libtraceevent 1.8.3

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-License-Identifier: GPL-2.0
 # libtraceevent version
 EP_VERSION = 1
-EP_PATCHLEVEL = 6
+EP_PATCHLEVEL = 8
 EP_EXTRAVERSION = 3
 EVENT_PARSE_VERSION = $(EP_VERSION).$(EP_PATCHLEVEL).$(EP_EXTRAVERSION)
 
@@ -46,8 +46,8 @@
 
 libdir_relative ?= $(libdir_relative_temp)
 prefix ?= /usr/local
-libdir = $(prefix)/$(libdir_relative)
-man_dir = $(prefix)/share/man
+libdir ?= $(prefix)/$(libdir_relative)
+man_dir ?= $(prefix)/share/man
 man_dir_SQ = '$(subst ','\'',$(man_dir))'
 pkgconfig_dir ?= $(word 1,$(shell $(PKG_CONFIG) 		\
 			--variable pc_path pkg-config | tr ":" " "))
@@ -163,6 +163,9 @@
 override CFLAGS += -fPIC
 override CFLAGS += $(CONFIG_FLAGS) $(INCLUDES) $(PLUGIN_DIR_SQ)
 override CFLAGS += $(udis86-flags) -D_GNU_SOURCE
+
+# Make sure 32 bit stat() works on large file systems
+override CFLAGS += -D_FILE_OFFSET_BITS=64
 
 ifeq ($(VERBOSE),1)
   Q =
@@ -349,7 +352,7 @@
 
 install: install_libs
 
-clean: clean_plugins clean_src
+clean: clean_plugins clean_src clean_meson
 	$(Q)$(call do_clean,\
 	    $(VERSION_FILE) $(obj)/tags $(obj)/TAGS $(PKG_CONFIG_FILE) \
 	    $(LIBTRACEEVENT_STATIC) $(LIBTRACEEVENT_SHARED) \
@@ -427,11 +430,3 @@
 
 PHONY += clean_plugins
 clean_plugins:
-	$(Q)$(call descend_clean,plugins)
-
-PHONY += clean_src
-clean_src:
-	$(Q)$(call descend_clean,src)
-
-force:
-

=== debian/changelog ===
libtraceevent (1:1.8.3-1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Make sure the test suite run (LP: #2055258)
      - Build but also run the test suite when building the pkg.
      - Run unit test as autopkgtest
    - d/rules: ensure build is done with distro build flags (LP #2069195)
      - Set EXTRA_CFLAGS to CFLAGS as passed by debhelper
      - Use DEB_CFLAGS_MAINT_APPEND to honor existing build defaults
  * Drop Changes:
    - d/p/0002-fail-unitest-when-test-fail.patch
      - applied upstream at 1:1.8.3-1.
    - d/p/0003-fix-tests-on-big-endian.patch
      - applied upstream at 1:1.8.3-1.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 17 Oct 2024 21:25:14 +0100

libtraceevent (1:1.8.3-1) unstable; urgency=medium

  * New upstream version 1.8.3
  * Update Standards-Version to 4.7.0
  * Depends on pkgconf instead of pkg-config

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 28 Jul 2024 20:44:57 +0100

libtraceevent (1:1.8.2-1ubuntu3) oracular; urgency=medium

  * debian/rules: ensure build is done with distro build flags (LP: #2069195)
    - Set EXTRA_CFLAGS to CFLAGS as passed by debhelper
    - Use DEB_CFLAGS_MAINT_APPEND to honor existing build defaults

 -- Nick Rosbrook <enr0n@ubuntu.com>  Wed, 12 Jun 2024 12:40:33 -0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,10 @@
 Source: libtraceevent
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
-Build-Depends: asciidoc,
-               debhelper-compat (= 13),
-               pkg-config,
-               source-highlight,
-               xmlto
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), pkgconf, asciidoc,
+               xmlto, source-highlight, libcunit1-dev
+Standards-Version: 4.7.0
 Section: libs
 Vcs-Browser: https://salsa.debian.org/sudip/libtraceevent
 Vcs-Git: https://salsa.debian.org/sudip/libtraceevent.git
@@ -16,9 +13,7 @@
 Section: libdevel
 Architecture: linux-any
 Multi-Arch: same
-Depends: libtraceevent1 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: libtraceevent1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Linux kernel trace event library (development files)
  The libtraceevent library provides APIs to access kernel tracepoint events,
  located in the tracefs file system under the events directory.
@@ -28,7 +23,7 @@
 Package: libtraceevent1
 Architecture: linux-any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Linux kernel trace event library (shared library)
  The libtraceevent library provides APIs to access kernel tracepoint events,
  located in the tracefs file system under the events directory.
@@ -37,9 +32,7 @@
 
 Package: libtraceevent1-plugin
 Architecture: linux-any
-Depends: libtraceevent1 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libtraceevent1 (= ${binary:Version})
 Multi-Arch: same
 Description: Linux kernel trace event library (plugins)
  The libtraceevent library provides APIs to access kernel tracepoint events,

## libtraceevent 1.8.4

=== meson_options.txt ===
# SPDX-License-Identifier: LGPL-2.1
#
# Copyright (c) 2023 Daniel Wagner, SUSE LLC

option('plugindir', type : 'string',
       description : 'set the plugin dir')
option('htmldir', type : 'string', value : 'share/doc/libtraceevent-doc',
       description : 'directory for HTML documentation')
option('asciidoctor', type : 'boolean', value: false,
       description : 'use asciidoctor instead of asciidoc')
option('docbook-xls-172', type : 'boolean', value : false,
       description : 'enable docbook XLS 172 workaround')
option('asciidoc-no-roff', type : 'boolean', value : false,
       description : 'enable no roff workaround')
option('man-bold-literal', type : 'boolean', value : false,
       description : 'enable bold literals')
option('docbook-suppress-sp', type : 'boolean', value : false,
       description : 'docbook suppress sp')
option('doc', type : 'boolean', value: true,
       description : 'produce documentation')

=== debian/changelog ===
libtraceevent (1:1.8.4-2) unstable; urgency=medium

  * Add upstream commit to set default file_bigendian in
    struct tep_handle. (LP: #2062118)
    - Thanks Pragyansh Chaturvedi.
  * Add salsa ci.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 24 Dec 2024 12:08:10 +0000

libtraceevent (1:1.8.4-1) unstable; urgency=medium

  * New upstream version 1.8.4
  * Make sure the test suite run.
  * debian/rules: ensure build is done with distro build flags
    - Set EXTRA_CFLAGS to CFLAGS as passed by debhelper
    - Use DEB_CFLAGS_MAINT_APPEND to honor existing build defaults
    - Thanks to Nick Rosbrook.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 10 Nov 2024 00:18:14 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: libtraceevent
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
+Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
 Build-Depends: debhelper-compat (= 13), pkgconf, asciidoc,
                xmlto, source-highlight, libcunit1-dev
 Standards-Version: 4.7.0

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 include /usr/share/dpkg/architecture.mk
+
+export DEB_CFLAGS_MAINT_APPEND=-g -Wall
 
 ifeq (,$(findstring terse,$(DEB_BUILD_OPTIONS)))
         VERBOSE=1
@@ -14,7 +16,7 @@
 	dh $@ --no-parallel
 
 override_dh_auto_build:
-	dh_auto_build -- all doc $(build_flags)
+	dh_auto_build -- all doc $(build_flags) EXTRA_CFLAGS="$(CFLAGS)"
 
 override_dh_auto_install:
 	dh_auto_install -- doc-install $(build_flags)

=== debian/watch ===
version=4

opts="mode=git" https://git.kernel.org/pub/scm/libs/libtrace/libtraceevent.git \
   refs/tags/libtraceevent-([\d\.]+) debian uupdate

## libtraceevent 1.8.7

=== src/Makefile ===
--- 
+++ 
@@ -18,7 +18,10 @@
 $(bdir)/%.o: %.c
 	$(Q)$(call do_fpic_compile)
 
-$(LIBTRACEEVENT_STATIC): $(OBJS)
+$(LIBTRACEEVENT_STATIC): $(bdir)/.tmp.libtraceevent.a $(LIBTRACEEVENT_SHARED)
+	$(Q)objcopy $(call redefine_local,${LIBTRACEEVENT_SHARED},$<) $< $@
+
+$(bdir)/.tmp.libtraceevent.a: $(OBJS)
 	$(Q)$(call do_build_static_lib)
 
 $(LIBTRACEEVENT_SHARED): $(OBJS)
@@ -44,7 +47,8 @@
 $(DEPS): | $(bdir)
 
 clean:
-	$(Q)$(call do_clean,$(OBJS) $(DEPS))
+	$(Q)$(call do_clean,$(OBJS) $(DEPS) $(bdir)/libtraceevent.o \
+	                    $(bdir)/.tmp.libtraceevent.a $(bdir)/.tmp.func-list)
 
 dep_includes := $(wildcard $(DEPS))

=== debian/changelog ===
libtraceevent (1:1.8.7-1) unstable; urgency=medium

  * New upstream version 1.8.7
    - Remove upstream applied patches.
  * Update Standards-Version to 4.7.3

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 25 Jan 2026 21:12:10 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
 Build-Depends: debhelper-compat (= 13), pkgconf, asciidoc,
                xmlto, source-highlight, libcunit1-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Section: libs
 Vcs-Browser: https://salsa.debian.org/sudip/libtraceevent
 Vcs-Git: https://salsa.debian.org/sudip/libtraceevent.git
